Subject: Re: [RFC] Convert builin-mailinfo.c to use The Better String Library.

From: Jakub Narebski <[email-masked]>
Date: Fri, 11 Jun 2010 05:23:55 -0700 (PDT)

Ian Molton <[email-masked]> writes:
> Dmitry Kakurin <dmitry.kakurin <at> gmail.com> writes:
>
> > [ snip ]
> > 
> > When I first looked at Git source code two things struck me as odd:
> > 1. Pure C as opposed to C++. No idea why. Please don't talk about 
> > portability, it's BS.

No gain from C++.

Also, I don't know when Dmitri written his post, but git uses its own
string manipulation mini-library, named strbuf, at least since end of 2007
(Documentation/technical/api-strbuf.txt was added as stub on 2007-11-24).
 
> > in the *real world* rewriting Git in assembly would be like  
> > painting a house using a single horse hair instead of a paint brush  
> > or roller. Your SHA-1 example is a perfect example of where you  
> > benefit from doing a tiny embellished detail using the single hair  
> > (assembly) and leave all the rest in C.

Sidenote: block-sha1 implementation is C plus smidgeon of assembly via
'asm'.

-- 
Jakub Narebski
Poland
ShadeHawk on #git